
QGIS Application - Feature request #59

copy to clipboard support

2006-04-05 01:25 AM - Martin Dobias

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: GUI

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10118

Description

It would be nice to have in identify tool possibility to show point's x,y value with a

button underneath saying 'copy to clipboard'.

Associated revisions

Revision 5822acf1 - 2009-08-04 12:58 PM - Jürgen Fischer

[FEATUREBUGFIX] reintroduce copy of attributes (fixes #59)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11262 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 1bb9717e - 2009-08-04 12:58 PM - Jürgen Fischer

[FEATUREBUGFIX] reintroduce copy of attributes (fixes #59)

git-svn-id: http://svn.osgeo.org/qgis/trunk@11262 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2006-06-26 06:53 PM - Brendan Morley -

Note that as a workaround in the subversion head version, you can select the point in question and copy it - the clipboard will now contain the well-known

text for that point.

#2 - 2008-04-01 12:33 AM - leolami -

- Status changed from Open to Closed

- Resolution set to fixed

#3 - 2009-02-03 05:43 AM - Markus Neteler

I take liberty to reopen:

When querying a map with the identify tool, I have no clue how to copy field values from the tool. From a user's point of view: the best would be to permit

right-mouse-button-copy of a field. And/or, selected fields are copied to the clipboard.

Currently I am writing down the queried values manually...

#4 - 2009-02-03 05:45 AM - Markus Neteler
- Resolution deleted (fixed)

- Status changed from Closed to Feedback

#5 - 2009-04-13 03:32 AM - Markus Neteler

May I ask to backport the copy to clipboard support to https://svn.osgeo.org/qgis/branches/Version-1_0

?

#6 - 2009-04-13 03:10 PM - Markus Neteler

Forgot to say that I meant to copy attribute field values from "identify" or the attribute table. Better to open a separate ticket?

#7 - 2009-07-15 12:03 PM - Giovanni Manghi

Replying to [comment:10 neteler]:

Forgot to say that I meant to copy attribute field values from "identify"

+1

Now that we can copy attributes from the table or from selected features in the map canvas, it would be nice to have also a button in the identify dialog box

or allow copying (in the identify dialog) with the right mouse button.

#8 - 2009-08-01 05:50 PM - Giovanni Manghi

works for me under Ubuntu 9.04

#9 - 2009-08-02 01:30 AM - Markus Neteler

Excellent: works both in https://svn.osgeo.org/qgis/branches/Version-1_0 and trunk (using Mandriva 64bit).

#10 - 2009-08-03 12:25 PM - Giovanni Manghi

Replying to [comment:13 jef]:

this patch have yet to be committed or am I wrong?

#11 - 2009-08-03 12:26 PM - Jürgen Fischer

Replying to [comment:16 lutra]:

Replying to [comment:13 jef]:

this patch have yet to be committed or am I wrong?
sure, but we entered feature freeze.

#12 - 2009-08-03 12:26 PM - Jürgen Fischer

- Status changed from Feedback to Open

#13 - 2009-08-04 12:58 AM - Giovanni Manghi

sure, but we entered feature freeze.

Right, I forgot it. By the way, other patches have been applied after the ff call.

regards

#14 - 2009-08-04 01:15 AM - Markus Neteler

It would be sad to miss that in 1.2.0 (since it even works in 1.0.x). This is a key feature in daily GIS work.

#15 - 2009-08-04 01:23 AM - Jürgen Fischer

Replying to [comment:19 lutra]:

sure, but we entered feature freeze.

Right, I forgot it. By the way, other patches have been applied after the ff call.

Bugfix or feature patches?

#16 - 2009-08-04 01:28 AM - Giovanni Manghi

For what I see here

https://trac.osgeo.org/qgis/log/trunk

patches, but I may be wrong.

#17 - 2009-08-04 04:00 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:22 lutra]:

For what I see here

https://trac.osgeo.org/qgis/log/trunk
patches, but I may be wrong.

I meant bugfix patches or feature patches.

Anyway I applied it in commit:1bb9717e (SVN r11263)  (Tim you didn't see this)

#18 - 2009-08-04 04:05 AM - Giovanni Manghi

I meant bugfix patches or feature patches.

right. I get it right after my last reply. Sorry for that, I'm not yet really used to this terms as I'm new in the svn/development world. Sorry again.

Files

59_copyattributes.diff 3.68 KB 2009-08-01 Jürgen Fischer
